package gmt.stddecoder.vo;

import gmt.stddecoder.type.GmtSTDType;

public class StdVO {
	protected GmtSTDType stdType;
	protected DynamicVO dynamicVO;
	protected SARVO sarVO;
	protected AtoNVO atoNVO;
	protected StaticVO		 staticVO;
	protected SHDynamicVO SHDynamicVO;
	protected SHStaticVO SHStaticVO;
	protected VPassDynamicVO VPassDynamicVO;
	protected VPassStaticVO VPassStaticVO;
	protected DMFHFDynamicVO DMFHFDynamicVO;
	protected DMFHFStaticVO DMFHFStaticVO;
	protected DMFHFDistressVO DMFHFDistressVO;
	protected LTEMDynamicVO LTEMDynamicVO;
	protected LTEMStaticVO LTEMStaticVO;
	protected LTEMSosVO LTEMSosVO;
	
	public GmtSTDType getStdType() {
		return stdType;
	}
	public void setStdType(GmtSTDType id) {
		this.stdType = id;
	}
	public DynamicVO getDynamicVO() {
		return dynamicVO;
	}
	public void setDynamicVO(DynamicVO dynamicVO) {
		this.dynamicVO = dynamicVO;
	}
	public StaticVO getStaticVO() {
		return staticVO;
	}
	public void setStaticVO(StaticVO staticVO) {
		this.staticVO = staticVO;
	}

	public LTEMSosVO getLTEMSosVO() {
		return LTEMSosVO;
	}
	public void setLTEMSosVO(LTEMSosVO lTEMSosVO) {
		LTEMSosVO = lTEMSosVO;
	}
	public SARVO getSarVO() {
		return sarVO;
	}
	public void setSarVO(SARVO sarVO) {
		this.sarVO = sarVO;
	}
	public AtoNVO getAtoNVO() {
		return atoNVO;
	}
	public void setAtoNVO(AtoNVO atoNVO) {
		this.atoNVO = atoNVO;
	}
	public SHDynamicVO getSHDynamicVO() {
		return SHDynamicVO;
	}
	public void setSHDynamicVO(SHDynamicVO sHDynamicVO) {
		SHDynamicVO = sHDynamicVO;
	}
	public SHStaticVO getSHStaticVO() {
		return SHStaticVO;
	}
	public void setSHStaticVO(SHStaticVO sHStaticVO) {
		SHStaticVO = sHStaticVO;
	}
	public VPassDynamicVO getVPassDynamicVO() {
		return VPassDynamicVO;
	}
	public void setVPassDynamicVO(VPassDynamicVO vPassDynamicVO) {
		VPassDynamicVO = vPassDynamicVO;
	}
	public VPassStaticVO getVPassStaticVO() {
		return VPassStaticVO;
	}
	public void setVPassStaticVO(VPassStaticVO vPassStaticVO) {
		VPassStaticVO = vPassStaticVO;
	}
	public DMFHFDynamicVO getDMFHFDynamicVO() {
		return DMFHFDynamicVO;
	}
	public void setDMFHFDynamicVO(DMFHFDynamicVO dMFHFDynamicVO) {
		DMFHFDynamicVO = dMFHFDynamicVO;
	}
	public DMFHFStaticVO getDMFHFStaticVO() {
		return DMFHFStaticVO;
	}
	public void setDMFHFStaticVO(DMFHFStaticVO dMFHFStaticVO) {
		DMFHFStaticVO = dMFHFStaticVO;
	}
	public DMFHFDistressVO getDMFHFDistressVO() {
		return DMFHFDistressVO;
	}
	public void setDMFHFDistressVO(DMFHFDistressVO dMFHFDistressVO) {
		DMFHFDistressVO = dMFHFDistressVO;
	}
	public LTEMDynamicVO getLTEMDynamicVO() {
		return LTEMDynamicVO;
	}
	public void setLTEMDynamicVO(LTEMDynamicVO lTEMDynamicVO) {
		LTEMDynamicVO = lTEMDynamicVO;
	}
	public LTEMStaticVO getLTEMStaticVO() {
		return LTEMStaticVO;
	}
	public void setLTEMStaticVO(LTEMStaticVO lTEMStaticVO) {
		LTEMStaticVO = lTEMStaticVO;
	}
}
